- Qt 5.5
- Qt3D Module
- C++ Classes
- MouseEventFilter
- Qt 5.5.1 Reference Documentation

# MouseEventFilter Class

(Qt3D::Input::MouseEventFilter)

Inherits: |

- List of all members, including inherited members

## Public Functions

| MouseEventFilter(QObject * parent = 0)
InputHandler * | inputHandler() const
void | setInputHandler(InputHandler * handler)

## Protected Functions

bool | eventFilter(QObject * obj, QEvent * e)

## Member Function Documentation

### MouseEventFilter::MouseEventFilter(QObject * parent = 0)

### `[protected]` bool MouseEventFilter::eventFilter(QObject * obj, QEvent * e)

### InputHandler * MouseEventFilter::inputHandler() const

See also setInputHandler().

### void MouseEventFilter::setInputHandler(InputHandler * handler)

See also inputHandler().